// Отправка события терминалу
var video_is_loaded=0 ;
var frame_is_show=0 ;

function sendAppEvent (name, data) {
  console.log(name) ;
  console.log(data) ;
  window.parent.postMessage({
   event: name,
   payload: data
  }, '*')
}

// Обработчик событий от терминала
function onAppEvent (e) {
  // Игнорируем собственные события
  if (e.origin === window.origin) { return }

  let message = e.data ;
  console.log(message) ;
  //message.test='123' ;
  message.from='OnAppEvent' ;
  // не нужно уведомлять сервер о каждом событии
  // по окончании показа будет отдельный ajax на reg_event
  // а запись по показу медиаконтента уже создана
  //$j.ajax({url:server_url+'/services/events_media/reg_event/',type:'POST',dataType:'xml',cache:false,data:message});
  console.log(e) ;
  var videoEl = document.getElementsByTagName('video')[0] ;
  switch (message.event)
  { case 'media-content-loaded':
      video_is_loaded=1 ;
      if (frame_is_show) videoEl.play();
      break
    case 'media-content-ready':
         // Сообщение что страница с контеном показана пользователю
         videoEl.play();

         break
    case 'media-content-shown':
      // Сообщение что страница с контеном показана пользователю
      frame_is_show=1 ;
      if (video_is_loaded) videoEl.play();
      break
    case 'media-content-hidden':
      sendAppEvent('media-content-done')
      // Сообщение что страница с контентом сейчас будет закрыта
      videoEl.pause();
      break
  }
}

window.addEventListener('message', onAppEvent)

/* Пример отправки сообщений терминалу*/

// Сообщение терминалу что страница готова.
sendAppEvent('media-content-ready')

// Сообщение терминалу что страница начала отображение контента
//sendAppEvent('media-content-started')

// Сообщение терминалу что страницы закончила отображение контента
//sendAppEvent('media-content-ended')

